# -*- rpm-spec -*-
# $Id: samba,v 1.27 2003/02/06 16:21:40 ab Exp $
%define baseversion 2.2.7
%define BUILD_ACL	1
%define negotiate_kernel 02041803
# Current ALT kernel version, used for enabling 'negotiate'
# feature in smbmount, works only with kernels after %negotiate_kernel
%define current_kernel	02041806

Name: samba
Version: 2.2.7
Release: alt3

Packager: Alexander Bokovoy <ab@altlinux.ru>

Summary: Samba SMB server
License: GPL
Group: System/Servers
Requires: samba-common = %version-%release
%if %BUILD_ACL
Requires: libacl
%endif

Source: ftp://samba.anu.edu.au/pub/samba/samba-%baseversion.tar.bz2
Source1: samba.log
Source2: mount.smb
Source3: samba.xinetd
Source4: swat_48.xpm.bz2
Source5: swat_32.xpm.bz2
Source6: swat_16.xpm.bz2
Source7: smb.init
Source8: winbind.init
Source9: system-auth-winbind
Source10: ChangeLog.SAMBA_2_2.bz2
Source11: smb.conf
Source12: ruscii.rar
Source13: ruscii2k.rar
Source14: readme.ukrainian
Source15: smbmount.control

Patch1: smbw.patch.bz2
Patch4: samba-nsl.patch.bz2
Patch5: samba-2.2.0-gawk.patch.bz2
Patch12: samba-2.2.0-buildroot.patch.bz2
Patch17: smbmount-sbin.patch.bz2
# Winbind patches
# We do not apply it currently, patch is now in CVS HEAD of Samba
#Patch31: winbind-default-domain-SAMBA_2_2.patch.bz2
#
Patch38: http://www.hojdpunkten.ac.se/054/samba/smbmount-2.2.3a-negotiate.patch


# Automatically added by buildreq on Wed Feb 06 2002
BuildRequires: libcups-devel libncurses-devel libpam-devel libreadline-devel libssl openssl-devel
BuildRequires: libldap-devel
%if %BUILD_ACL
BuildRequires: libacl-devel
%endif

PreReq: chkconfig, rpm >= 3.0.6-ipl26mdk
PreReq: coreutils, sed, grep

%package common
Summary: Files used by both Samba servers and clients
Group: System/Servers
Provides: pam-winbind
Conflicts: samba3-common
Prereq: libcups
%if %BUILD_ACL
Prereq: libacl
%endif

%package swat
Summary: SWAT -- Samba Web Administration Tool
Group: Security/Networking
Requires: samba-common = %version-%release, samba

%package vfs-devel
Summary: Files needed for building VFS modules for Samba server
Group: Development/C
Autoreq: no
Requires: samba-common = %version-%release
Requires: libcups-devel libncurses-devel libpam-devel libreadline-devel libssl openssl-devel
%if %BUILD_ACL
Requires: libacl-devel
%endif

%package vfs
Summary: Sample VFS modules (audit, recycle bin, block) for Samba server
Group: System/Servers
Autoreq: yes
Requires: samba-common = %version-%release

%package client
Summary: Samba (SMB) client programs
Group: Networking/Other
Requires: samba-common = %version-%release
Obsoletes: smbfs
%if %BUILD_ACL
Requires: libacl
%endif

%package client-devel
Summary: Samba client shared library development headers
Group: Development/C
Requires: samba-client = %version-%release
Requires: libcups-devel libncurses-devel libpam-devel libreadline-devel libssl openssl-devel
%if %BUILD_ACL
Requires: libacl-devel
%endif

%package client-devel-static
Summary: Samba client static library
Group: Development/C
Requires: samba-client-devel = %version-%release
%if %BUILD_ACL
Requires: libacl-devel-static
%endif

%package client-cups
Summary: Samba (SMB) support for CUPS
Group: Networking/Other
PreReq: cups
Requires: samba-common = %version-%release, samba-client = %version-%release, cups


%package doc
Summary: Samba documentation
Group: Networking/Other
Requires: samba-common = %version-%release
Autoreq: no

%description
Samba provides an SMB server which can be used to provide network
services to SMB (sometimes called "Lan Manager") clients, including
various versions of MS Windows, OS/2, and other Linux machines. Samba
uses NetBIOS over TCP/IP (NetBT) protocols and does NOT need NetBEUI
(Microsoft Raw NetBIOS frame) protocol.

Samba-2 features an almost working NT Domain Control capability and
includes the new SWAT (Samba Web Administration Tool) that allows
samba's smb.conf file to be remotely managed using your favourite web
browser. For the time being this is being enabled on TCP port 901 via
xinetd.

Please refer to the WHATSNEW.txt document for fixup information.  This
binary release includes encrypted password support.  Please read the
smb.conf file and ENCRYPTION.txt in the docs directory for
implementation details.

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%description swat
Samba-swat provides Samba web administration tool which allows 
a Samba administrator to configure the complex smb.conf file
via web browser.

%description vfs-devel
Samba-vfs-devel provides files necessary for building Samba server
VFS modules (for example, audit or antivirus scanner modules).

%description vfs
Samba-vfs provides prebuilt Samba server VFS modules (audit, recycle bin,
and block).

%description client
Samba-client provides some SMB clients, which complement the built-in
SMB filesystem in Linux. These allow the accessing of SMB shares.
Support for printing to SMB printers is in Samba-client-cups package.

%description client-devel
Samba-client provides some SMB clients, which complement the built-in
SMB filesystem in Linux. These allow the accessing of SMB shares.
Support for printing to SMB printers is in Samba-client-cups package.


%description client-devel-static
Samba-client provides some SMB clients, which complement the built-in
SMB filesystem in Linux. These allow the accessing of SMB shares.
Support for printing to SMB printers is in Samba-client-cups package.


%description client-cups
Samba-client-cups provides pluggable backend for CUPS printing system.
It allows printing to SMB printers.

%description doc
This package contains Samba documentation.

%prep
%setup -q -n%name-%baseversion
%patch1 -p1 -b .smbw
%patch4 -p1 -b .nsl
%patch5 -p1 -b .gawk
%patch12 -p1 -b .buildroot
%patch17 -p1
%if %current_kernel >= %negotiate_kernel
%patch38 -p1
%endif

# Correct documentation a bit.
find examples docs -type f -print0 |
	xargs -r0 fgrep -l /usr/local/samba/var/log |
	xargs /usr/bin/subst 's|/usr/local/samba/var/log|%_logdir/%name/log|g'
find examples docs -type f -print0 |
	xargs -r0 egrep -l '/(opt|usr/local)/samba/(bin/|private/)?(smbd|nmbd|swat|winbindd)' |
	xargs /usr/bin/subst  's,/\(opt|usr/local\)/samba/\(bin/|private/\)?\(smbd|nmbd|swat|winbindd\),%_sbindir/\3,g'
find examples docs -type f -print0 |
	xargs -r0 egrep -l '/(opt|usr/local)/samba/(bin/|private/)?(convert_smbpasswd|findsmb|make_printerdef|make_smbcodepage|make_unicodemap|nmblookup|rpcclient|smbclient|smbmount|smbpasswd|smbprint|smbsh|smbspool|smbstatus|smbtar|smbumount|testparm|testprns|wbinfo)' |
	xargs /usr/bin/subst  's,/\(opt|usr/local\)/samba/\(bin/|private/\)?\(convert_smbpasswd|findsmb|make_printerdef|make_smbcodepage|make_unicodemap|nmblookup|rpcclient|smbclient|smbmount|smbpasswd|smbprint|smbsh|smbspool|smbstatus|smbtar|smbumount|testparm|testprns|wbinfo\),%_bindir/\3,g'
find examples docs -type f -print0 |
	xargs -r0 fgrep -l '/usr/local/samba/lib/smb.conf' |
	xargs /usr/bin/subst  's,/usr/local/samba/lib/smb.conf,%_sysconfdir/%name/smb.conf,g'
find examples docs -type f -print0 |
	xargs -r0 fgrep -l '/usr/local/samba/netlogon' |
	xargs /usr/bin/subst  's,/usr/local/samba/netlogon,%_localstatedir/%name/netlogon,g'

# Replace version to our one
/usr/bin/subst 's@VERSION[ \t]*"[^"]*"@VERSION "ALT/2.2.7"@' source/include/version.h

%build
pushd source
%__autoconf
CPPFLAGS="-I/usr/include/openssl"; export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS"
# We do not use libcap due its wrong unconditional __u32 typedefs
export ac_cv_header_sys_capability_h=no
%configure \
	--libdir=%_sysconfdir/%name \
	--with-fhs \
	--with-vfs \
	--sysconfdir=%_sysconfdir/%name \
	--localstatedir=%_var/ \
	--with-configdir=%_sysconfdir/%name \
	--with-codepagedir=%_sysconfdir/%name/codepages \
	--with-privatedir=%_sysconfdir/%name \
	--with-smbmount \
	--with-syslog \
	--with-automount \
	--with-pam \
	--with-sambabook=%_datadir/%name/swat/using_samba \
	--with-mmap \
	--with-utmp \
	--with-netatalk \
	--with-libsmbclient=yes \
	--with-quotas \
	--with-sendfile-support=yes \
	--with-smbwrapper \
%if %BUILD_ACL
	--with-acl-support \
%endif
	--with-winbind \
	--with-swatdir=%_datadir/%name/swat \
	--with-piddir=%_cachedir/%name 

%__make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
     proto winbindd_proto 

%make_build CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
     all \
     everything \
     bin/tdbbackup bin/libsmbclient.so bin/libsmbclient.a

popd
%__cp -r examples/VFS examples/VFS.build
pushd examples/VFS.build
%configure
%make_build 
popd

%install
%__mkdir -p $RPM_BUILD_ROOT/sbin
%__mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/%name/codepages/src
%__mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/{logrotate.d,pam.d,xinetd.d}
%__mkdir -p $RPM_BUILD_ROOT/%_initdir
%__mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_sbindir}
%__mkdir -p $RPM_BUILD_ROOT/%_datadir/%name/swat/{images,help,include,using_samba}
%__mkdir -p $RPM_BUILD_ROOT/%_datadir/%name/swat/using_samba/{figs,gifs}
%__mkdir -p $RPM_BUILD_ROOT/{%_man1dir,%_man5dir,%_man7dir,%_man8dir}
%__mkdir -p $RPM_BUILD_ROOT/%_cachedir/%name
%__mkdir -p $RPM_BUILD_ROOT/%_includedir
%__mkdir -p $RPM_BUILD_ROOT/%_libdir/%name
%__mkdir -p $RPM_BUILD_ROOT/%_logdir/%name
%__mkdir -p $RPM_BUILD_ROOT/%_spooldir/%name
%__mkdir -p $RPM_BUILD_ROOT/%_var/lib/%name/{netlogon,profiles}
%__mkdir -p $RPM_BUILD_ROOT/lib/security
%__mkdir -p $RPM_BUILD_ROOT/%_datadir/%name/vfs-devel/source

# Install samba-vfs-devel
pushd source
for i in `find . -name '*.h' -exec dirname '{}' \; |sort -u` ; do
    %__mkdir -p $RPM_BUILD_ROOT/%_datadir/%name/vfs-devel/source/$i
    %__cp  $i/*.h $RPM_BUILD_ROOT/%_datadir/%name/vfs-devel/source/$i/
done

%__cp include/libsmbclient.h $RPM_BUILD_ROOT/%_includedir/
popd

%__cp -r examples/VFS $RPM_BUILD_ROOT/%_datadir/%name/vfs-devel/source/

# Install VFS modules
%__mkdir -p $RPM_BUILD_ROOT/%_libdir/%name/vfs
for i in recycle/recycle audit block/block
do
    %__install -m755 examples/VFS.build/$i.so $RPM_BUILD_ROOT/%_libdir/%name/vfs
done
%__rm -rf examples/VFS.build

# Install standard binary files

for i in nmblookup smbclient smbpasswd smbstatus testparm testprns \
    make_smbcodepage make_unicodemap make_printerdef rpcclient smbspool \
    smbcacls smbcontrol smbclient smbmount smbumount smbsh smbwrapper.so \
    wbinfo tdbbackup
do
  %__install -m755 source/bin/$i $RPM_BUILD_ROOT/%_bindir
done

#for i in addtosmbpass mksmbpasswd.sh smbtar convert_smbpasswd

for i in mksmbpasswd.sh smbtar convert_smbpasswd
do
  %__install -m755 source/script/$i $RPM_BUILD_ROOT/%_bindir
done

for i in .a .so
do
  %__install -m755 source/bin/libsmbclient$i $RPM_BUILD_ROOT/%_libdir/
done

# Install secure binary files

for i in smbd nmbd swat smbfilter debug2html smbmnt winbindd
do
  %__install -m755 source/bin/$i $RPM_BUILD_ROOT/%_sbindir
done

# Install level 1 man pages

for i in smbclient.1 smbstatus.1 smbtar.1 testparm.1 testprns.1 make_smbcodepage.1 make_unicodemap.1 nmblookup.1 smbsh.1
do
  %__install -m644 docs/manpages/$i $RPM_BUILD_ROOT/%_man1dir
done

# Install codepage source files

for i in 437 737 775 850 852 861 862 866 932 936 949 950 1251 1125
do
  %__install -m644 source/codepages/codepage_def.$i $RPM_BUILD_ROOT/%_sysconfdir/%name/codepages/src
done

for i in 437 737 850 852 861 862 866 932 936 949 950 1251 1125 ISO8859-1 ISO8859-2 ISO8859-5 ISO8859-7 ISO8859-8 ISO8859-9 KOI8-R KOI8-U
do
  %__install -m644 source/codepages/CP$i.TXT $RPM_BUILD_ROOT/%_sysconfdir/%name/codepages/src
done

# Install the nsswitch library extension file
for i in wins winbind ; do
  %__install -m755 source/nsswitch/libnss_$i.so $RPM_BUILD_ROOT/lib
# Make link for Name Switch modules
  ( cd $RPM_BUILD_ROOT/lib; %__ln_s libnss_$i.so libnss_$i.so.2; )
done 

# Install PAM modules
%__mkdir -p $RPM_BUILD_ROOT/lib/security
%__install -m755 source/nsswitch/pam_winbind.so $RPM_BUILD_ROOT/lib/security

# Install SWAT helper files
	for i in swat/help/*.html docs/htmldocs/*.html; do
		%__install -m644 $i $RPM_BUILD_ROOT/%_datadir/%name/swat/help
	done

	for i in swat/images/*.gif; do
		%__install -m644 $i $RPM_BUILD_ROOT/%_datadir/%name/swat/images
	done

	for i in swat/include/*.html; do
		%__install -m644 $i $RPM_BUILD_ROOT/%_datadir/%name/swat/include
	done

# Install the O'Reilly "Using Samba" book
	for i in docs/htmldocs/using_samba/*.html; do
		%__install -m644 $i $RPM_BUILD_ROOT/%_datadir/%name/swat/using_samba
	done

	for i in docs/htmldocs/using_samba/gifs/*.gif; do
		%__install -m644 $i $RPM_BUILD_ROOT/%_datadir/%name/swat/using_samba/gifs
	done

	for i in docs/htmldocs/using_samba/figs/*.gif; do
		%__install -m644 $i $RPM_BUILD_ROOT/%_datadir/%name/swat/using_samba/figs
	done

# Install other stuff
	%__install -m644 docs/manpages/smb.conf.5 $RPM_BUILD_ROOT/%_man5dir
	%__install -m644 docs/manpages/lmhosts.5 $RPM_BUILD_ROOT/%_man5dir
	%__install -m644 docs/manpages/smbpasswd.5 $RPM_BUILD_ROOT/%_man5dir
	%__install -m644 docs/manpages/samba.7 $RPM_BUILD_ROOT/%_man7dir
	%__install -m644 docs/manpages/smbmnt.8 $RPM_BUILD_ROOT/%_man8dir
	%__install -m644 docs/manpages/smbmount.8 $RPM_BUILD_ROOT/%_man8dir
	%__install -m644 docs/manpages/smbumount.8 $RPM_BUILD_ROOT/%_man8dir
	%__install -m644 docs/manpages/smbd.8 $RPM_BUILD_ROOT/%_man8dir
	%__install -m644 docs/manpages/nmbd.8 $RPM_BUILD_ROOT/%_man8dir
	%__install -m644 docs/manpages/swat.8 $RPM_BUILD_ROOT/%_man8dir
	%__install -m644 docs/manpages/smbpasswd.8 $RPM_BUILD_ROOT/%_man8dir
	%__install -m644 docs/manpages/winbindd.8 $RPM_BUILD_ROOT/%_man8dir
	%__install -m644 docs/manpages/wbinfo.1 $RPM_BUILD_ROOT/%_man1dir
	%__install -m644 %{SOURCE11} $RPM_BUILD_ROOT/%_sysconfdir/%name/smb.conf
	%__install -m644 packaging/Mandrake/smbusers $RPM_BUILD_ROOT/%_sysconfdir/%name/smbusers
	%__install -m755 packaging/Mandrake/smbprint $RPM_BUILD_ROOT/%_bindir
	#%__install -m755 packaging/RedHat/smbadduser $RPM_BUILD_ROOT/%_bindir
	%__install -m755 packaging/Mandrake/findsmb $RPM_BUILD_ROOT/%_bindir
	%__install -m755 packaging/Mandrake/smb.init $RPM_BUILD_ROOT/%_initdir/smb
	%__install -m755 packaging/Mandrake/smb.init $RPM_BUILD_ROOT/%_sbindir/%name
	%__install -m644 packaging/Mandrake/samba.pamd $RPM_BUILD_ROOT/%_sysconfdir/pam.d/%name
	%__install -m644 %SOURCE9 $RPM_BUILD_ROOT/%_sysconfdir/pam.d/system-auth-winbind
	%__install -m644 %SOURCE1 $RPM_BUILD_ROOT/%_sysconfdir/logrotate.d/%name

	%__rm -rf $RPM_BUILD_ROOT%_sbindir/%name
	%__install -p -m755 -D %SOURCE7 $RPM_BUILD_ROOT%_initdir/smb
	%__install -p -m755 -D %SOURCE8 $RPM_BUILD_ROOT%_initdir/winbind
	%__ln_s  %_initdir/smb $RPM_BUILD_ROOT%_sbindir/samba

# Link smbmount to /sbin/mount.smb and /sbin/mount.smbfs
	%__ln_s /%prefix/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smb
	%__ln_s /%prefix/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs
	echo 127.0.0.1 localhost > $RPM_BUILD_ROOT/%_sysconfdir/%name/lmhosts

# Link smbspool to CUPS (does not require installed CUPS)
	%__install -d $RPM_BUILD_ROOT/%_libdir/cups/backend
	%__ln_s %_bindir/smbspool $RPM_BUILD_ROOT/%_libdir/cups/backend/smb

# xinetd support
	%__mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
	%__install -m644 %SOURCE3 $RPM_BUILD_ROOT/%_sysconfdir/xinetd.d/swat


# menu support
	%__mkdir -p $RPM_BUILD_ROOT%_menudir
	%__cat > $RPM_BUILD_ROOT%_menudir/%name << EOF
?package(%name):command="gnome-moz-remote http://localhost:901/" needs="gnome" \
icon="swat.xpm" section="Configuration/Networking" title="Samba Configuration" \
longtitle="The Swat Samba Administration Tool"
?package(%name):command="sh -c '\$BROWSER http://localhost:901/'" needs="x11" \
icon="swat.xpm" section="Configuration/Networking" title="Samba Configuration" \
longtitle="The Swat Samba Administration Tool"
EOF

%__mkdir -p $RPM_BUILD_ROOT%_liconsdir $RPM_BUILD_ROOT%_iconsdir $RPM_BUILD_ROOT%_miconsdir

bzcat %SOURCE4 > $RPM_BUILD_ROOT%_liconsdir/swat.xpm
bzcat %SOURCE5 > $RPM_BUILD_ROOT%_iconsdir/swat.xpm
bzcat %SOURCE6 > $RPM_BUILD_ROOT%_miconsdir/swat.xpm

# Install documentation.
%__mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version
%__install -p -m644 README Manifest WHATSNEW.txt Roadmap $RPM_BUILD_ROOT%_docdir/%name-%version
%__install -p -m644 swat/README $RPM_BUILD_ROOT%_docdir/%name-%version/README.swat
%__cp -a docs examples $RPM_BUILD_ROOT%_docdir/%name-%version
%__install -p -m644 %{SOURCE10} $RPM_BUILD_ROOT%_docdir/%name-%version
# Ukrainian support
%__mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version/ukrainian
%__install -m644 %SOURCE12 %SOURCE13 %SOURCE14 $RPM_BUILD_ROOT%_docdir/%name-%version/ukrainian

pushd $RPM_BUILD_ROOT%_docdir/%name-%version
find . -type f | xargs chmod 644
popd

# Install control(8) support for smbmount
%__install -pD -m755 $RPM_SOURCE_DIR/smbmount.control $RPM_BUILD_ROOT/etc/control.d/facilities/smbmount

%clean

%post
%post_service smb
# Add a unix group for samba machine accounts
groupadd -frg 421 machines

# Migrate tdb's from /var/lock/samba (taken from official samba spec file):
if [ -d %_lockdir/%name ]; then
    echo "Moving tdb files in /var/lock/samba/*.tdb to /var/cache/samba/*.tdb"
    for i in %_lockdir/%name/*.tdb
    do
    if [ -f $i ]; then
	    newname=`echo $i | %__sed -e's|%_lockdir/%name|%_cachedir/%name|'`
    	    echo "Moving $i to $newname"
    	    %__mv $i $newname
    fi
    done
fi

# Remove the transient tdb files (modified from version in off. samba spec:
for TDB in brlock unexpected locking messages; do
	if [ -e %_cachedir/%name/$TDB.tdb ]; then
		%__rm -f %_cachedir/%name/$TDB.tdb;
	fi;
done

if [ -d %_lockdir/%name ]; then
	%__rm -rf %_lockdir/%name
fi

# Hack to fix upgrade from ancient versions.
if [ $1 -gt 1 -a ! -e /etc/inetd.conf ]; then
	touch /etc/inetd.conf
fi

%post common
# Basic migration script for pre-2.2.1-alt2 users,
# since smb config moved from /etc to /etc/samba

mkdir -p /etc/samba
for s in smb.conf smbusers smbpasswd printers.def secrets.tdb lmhosts; do
	if [ -f %_sysconfdir/$s ]; then
		%__cp -f %_sysconfdir/$s %_sysconfdir/$s.OLD
		%__mv -f %_sysconfdir/$s %_sysconfdir/%name/
	fi
done

# Let's define the proper paths for config files
/usr/bin/subst  's/\(\%_sysconfdir\/\)\(smb\)/\1%name\/\2/' %_sysconfdir/%name/smb.conf

# Fix the logrotate.d file from smb and nmb to smbd and nmbd
if [ -f /etc/logrotate.d/samba ]; then
	/usr/bin/subst  's/smb /smbd /' %_sysconfdir/logrotate.d/%name
	/usr/bin/subst  's/nmb /nmbd /' %_sysconfdir/logrotate.d/%name
fi

# And not loose our machine account SIDs
[ -f %_sysconfdir/*.SID ] && %__cp -f %_sysconfdir/*.SID %_sysconfdir/%name/


# Build codepage load files
for i in 437 737 775 850 852 861 866 932 936 949 950 1251 1125; do
	%_bindir/make_smbcodepage c $i %_sysconfdir/%name/codepages/src/codepage_def.$i %_sysconfdir/%name/codepages/codepage.$i
done

# Build unicode load files
for i in 437 737 850 852 861 866 932 936 949 950 1251 1125 ISO8859-1 ISO8859-2 ISO8859-5 ISO8859-7 KOI8-R KOI8-U; do
	%_bindir/make_unicodemap $i %_sysconfdir/%name/codepages/src/CP$i.TXT %_sysconfdir/%name/codepages/unicode_map.$i
done


%post swat
if [ -f %_lockdir/subsys/xinetd ]; then
	service xinetd sreload || :
fi
%update_menus

%preun
%preun_service smb
if [ $1 = 0 ] ; then
    if [ -e %_lockdir/%name/browse.dat ]; then
	    %__rm -f %_lockdir/%name/browse.dat
    fi
    if [ -e %_lockdir/%name/wins.dat ]; then
	    %__rm -f %_lockdir/%name/wins.dat
    fi
    if [ -d %_logdir/%name ]; then
	    %__rm -rf %_logdir/%name/*
    fi
    if [ -d %_lockdir/%name ]; then
	    %__rm -rf %_lockdir/%name/*
    fi
fi

%preun common
if [ $1 = 0 ] ; then
    for n in %_sysconfdir/%name/codepages/*; do
	if [ "$n" != "%_sysconfdir/%name/codepages/src" ]; then
	    %__rm -rf $n
	fi
    done
fi

%postun swat
# Remove swat entry from xinetd
if [ $1 = 0 -a -f %_sysconfdir/xinetd.conf -a -f %_lockdir/subsys/xinetd ]; then
	service xinetd sreload || :
fi
%clean_menus


%triggerpostun -- samba < 1.9.18p7
if [ $1 != 0 ]; then
	/sbin/chkconfig --add smb
fi

%triggerpostun -- samba < 2.0.10
if [ $1 != 0 ]; then
	[ -d %_lockdir/%name ] || %__mkdir -m755 %_lockdir/%name
	[ -d %_spooldir/%name ] || %__mkdir -m1777 %_spooldir/%name
	[ ! -s %_sysconfdir/inetd.conf ] || %__chmod 644 %_sysconfdir/services %_sysconfdir/inetd.conf
else
	[ -s /etc/inetd.conf ] || rm -f /etc/inetd.conf
fi

%files swat
%config(noreplace) %_sysconfdir/xinetd.d/swat
%_sbindir/swat
%attr(-,root,root) %_datadir/%name/swat/help/*
%attr(-,root,root) %_datadir/%name/swat/images/*
%attr(-,root,root) %_datadir/%name/swat/include/*
%attr(-,root,root) %_datadir/%name/swat/using_samba/*
%_man8dir/swat.8*
%_menudir/%name
%_miconsdir/*.xpm
%_liconsdir/*.xpm
%_iconsdir/*.xpm

%files
#%attr(-,root,root) %_sbindir/*
%attr(-,root,root) /sbin/*
#%attr(-,root,root) %_bindir/*
%_sbindir/%name
%_sbindir/smbd
%_sbindir/nmbd
#%_bindir/addtosmbpass
%_bindir/mksmbpasswd.sh
%_bindir/smbstatus
%_bindir/smbpasswd
%_bindir/smbcontrol
%_bindir/convert_smbpasswd
#%_bindir/smbadduser
%attr(-,root,root) %config(noreplace) %_sysconfdir/%name/smbusers
%attr(-,root,root) %config %_initdir/smb
%attr(-,root,root) %config(noreplace) %_sysconfdir/logrotate.d/%name
%attr(644,root,root) %config(noreplace) %_sysconfdir/pam.d/%name
#%_man1dir/lmhosts.1*
%_man1dir/smbstatus.1*
%_man5dir/smbpasswd.5*
%_man5dir/smb.conf.5*
%_man7dir/samba.7*
%_man8dir/smbd.8*
%_man8dir/nmbd.8*
%_man8dir/smbpasswd.8*
%attr(775,root,root) %dir %_var/lib/%name/netlogon
%attr(775,root,root) %dir %_var/lib/%name/profiles
%dir %_cachedir/%name
%dir %_logdir/%name
%attr(1777,root,root) %dir %_spooldir/%name
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/[A-Z]*

%files client
%ifnarch alpha
/sbin/mount.smb
/sbin/mount.smbfs
%config /etc/control.d/facilities/smbmount
%attr(755,root,root) %_bindir/smbmount
%attr(4711,root,root) %_bindir/smbumount
%attr(4711,root,root) %_sbindir/smbmnt
%_man8dir/smbmnt.8*
%_man8dir/smbmount.8*
%_man8dir/smbumount.8*
%endif
%_bindir/nmblookup
%_bindir/findsmb
%_bindir/smbclient
%_bindir/smbprint
%_bindir/smbcacls
%_bindir/smbtar
%_bindir/smbspool
%_libdir/*.so*
%_man1dir/smbtar.1*
%_man1dir/smbclient.1*
%_man1dir/nmblookup.1*

%files client-devel-static
%_libdir/*.a

%files client-devel
%_includedir/*.h

%files client-cups
# Link of smbspool to CUPS
%_libdir/cups/backend/smb

%files common
%_sbindir/winbindd
%_bindir/make_smbcodepage
%_bindir/make_unicodemap
%_bindir/testparm
%_bindir/testprns
%_bindir/make_printerdef
%_bindir/rpcclient
%_bindir/smbsh
%_bindir/smbwrapper.so
%_bindir/wbinfo
%_bindir/tdbbackup
%attr(755,root,root) /lib/security/*
%attr(755,root,root) /lib/libnss*
%attr(-,root,root) %config(noreplace) %_sysconfdir/%name/smb.conf
%attr(-,root,root) %config(noreplace) %_sysconfdir/%name/lmhosts
%attr(-,root,root) %config %_initdir/winbind
%attr(644,root,root) %config(noreplace) %_sysconfdir/pam.d/system-auth-winbind
%attr(-,root,root) %dir %_sysconfdir/%name/codepages/*
%attr(-,root,root) %dir %_sysconfdir/%name/codepages/src/*
%_man1dir/make_smbcodepage.1*
%_man1dir/make_unicodemap.1*
%_man1dir/testparm.1*
%_man1dir/smbsh.1*
%_man1dir/testprns.1*
%_man5dir/smb.conf.5*
%_man5dir/lmhosts.5*
%_man1dir/wbinfo.1*
%_man8dir/winbindd.8*
%dir %_libdir/%name/vfs

%files vfs
%_libdir/%name/vfs/*

%files doc
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/[a-z]*

%files vfs-devel
%dir %_datadir/%name/vfs-devel
%_datadir/%name/vfs-devel/*

%changelog
* Thu Feb 06 2003 Alexander Bokovoy <ab@altlinux.ru> 2.2.7-alt3
- Remove ldapsam backend (cannot be dynamically switched off)

* Tue Feb 04 2003 Alexander Bokovoy <ab@altlinux.ru> 2.2.7-alt2
- 2.2.7a + 2.2.8pre1 fixes
- Added:
   + control(8) support for smbmount

* Wed Nov 20 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.7-alt1
- 2.2.7

* Wed Nov 13 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.6-alt1
- 2.2.6
- Fixed crash in smbpasswd and pam interface
- Enabled:
    + sendfile support
    + MS DFS
- Fixed spec file to use /usr/bin/subst instead of perl

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2.5-alt0.2
- suid/sgid file permissions

* Mon Jun 10 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.5-alt0.1
- 2.2.5-pre1
- Removed:
    + Patches 36,37,39 (quota, ukrainian, hebrew) -- integrated into upstream
- Added:
    + samba-client-devel/samba-client-devel-static for libsmbclient support
    + libsmbclient.so to samba-client:/usr/lib/
    + samba-vfs with audit, recycle bin, and block modules
    
* Mon Apr 15 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.3-alt6
- Fixed:
    + Some bugs in ukrainian support

* Mon Mar 11 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.3-alt5
- Added:
    + Ukrainian support (1125 -> KOI8-U, 1125 -> 1251)
    + smbcacls, smbcontrol, tdbbackup
- Fixed:
    + small spec file cleanups
    + fixes from Andrey and Jeremy for bugs found at Connectathon
      (www.connectathon.org)
- Removed:
    + CUPS patch (integrated into upstream)
    
* Thu Feb 28 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.3-alt4
- Added:
    + Hebrew codepage support (862 -> iso8859-8)
- Fixed:
    + CUPS code (print_queue_struct)

* Mon Feb 11 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.3-alt3
- 2.2.3a + post release fixes
- Added:
    + %_libdir/%name/vfs to samba-common
- Fixed:
    + quota compilation under 2.4.18

* Wed Feb 06 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.3-alt2
- Fixed dependencies for ACL mode
- Added requires for samba-vfs-devel

* Tue Feb 05 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.3-alt1
- 2.2.3 + post release fixes
- Moved:
    + SWAT to samba-swat
    + headers for VFS modules to samba-vfs-devel
- Added:
    + VFS fixes from OpenAntivirus.org
    + ACL enabled by default (requires kernel 2.4 >= 2.4.18-alt0.2pre4)

* Wed Jan 23 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.2-alt11
- Added:
    + Conflicts: samba3-common for samba-common (preparing for samba3)
- Fixed:
    + smb.conf (code pages information corrected, move to use own config)
    + popup message translation (Ihar Viarheichyk)
- Removed:
    + winbind default domain patch (me, continuing to develop it at HEAD)
    + support for pam_smbpass, use winbind instead
    + CP1251 support patch (commited to upstream)
- Changed:
    + changed attributes for smbmount/smbmnt to comply with relaity
    + winbindd moved to samba-common (server isn't required for its usage)
    + CUPS support splitted to samba-client-cups

* Fri Jan 04 2002 Alexander Bokovoy <ab@altlinux.ru> 2.2.2-alt10
- Fixed:
    + bug in smbclient -L (jeremy)

* Fri Dec 21 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.2-alt9
- Fixed:
    + pam_winbind's parse_domain_user updated to current version
    + system-auth-winbind updated to pam-config 1.1.1-alt1

* Thu Dec 20 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.2-alt8
- Fixed:
    + winbind default domain patch (created new one)
    + Alpha_strcpy patch merged to upstream
- Updated:
    + system-auth-winbind to follow TCB integration
- Added:
    + make proto and winbindd_proto calls (they work again)

* Fri Nov 30 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.2-alt7
- Build with new winbind code from HEAD

* Tue Nov 20 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.2-alt6
- Fixed:
    + stop connection away problems (Tom Jansen)
    + error code handling in smbwrapper (new clierr code sync)
- Removed:
    + make proto call (prototypes for quotas get broken after it)

* Mon Nov 19 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.2-alt5
- Fixed:
    + alpha_strcpy to handle non-latin1 characters (Ihar Viarheichyk)
    + back port of working Winbindd from HEAD (Jeremy Allison)
    + client-enc patch merged into upstream
    + pam_smbpass to remove conflicting namespaces with lib/util.c
- Updated:
    + Unified workgroup name patch
- Things left to do:
    + UTF-8 patch (Ihar Viarheichyk)

* Thu Nov 01 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.2-alt4
- Fixed bug with non-ascii letters in smbclient and user and domain names
  More work is needed on user/domain area though. (Ihar Viarheichyk)
- Preparations for UTF-8/Unicode internal string processing patch by Ihar Viarheichyk
- Added recent ChangeLog for SAMBA_2_2 branch
- Version string changed to "ALT Linux/2.2.2" in order to comply with Tridge's call
  for easy identification of vendor-specific versions

* Sat Oct 20 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.2.2-alt3
- Moved documentation to separate subpackage.
- Corrected documentation a bit, to fix dependencies.

* Thu Oct 18 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.2-alt2
- rebuild against new glibc
- fix of spec cleanup for _shareddir.
- Fix Swat location for FHS conformance

* Mon Oct 15 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.2-alt1
- 2.2.2
- minor spec clean up (Grigory Milev)

* Thu Oct 11 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.1a-alt11
- Fixed:
+ Memory leaks in Winbindd (close to final fix)
+ SAM management
+ Most patches were successfully integrated into mainstream
- Last build of 2.2.2-pre, next one should be official 2.2.2
- Added:
+ System auth via winbind (fixed spelling errors in Mandrake's version)

* Thu Aug 30 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.1a-alt10
- Fixed:
+ Winbindd talloc, new shiny challenge encryption protocols (tpot)
+ pam_smbpass and smb_passwd API changes (Steve Langasek and me, patch #516)
- Added:
+ preliminary support for ACLs

* Mon Aug 20 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.1a-alt9
- Fixed:
+ Winbindd with some realoc-related problems
- Updated documentation (patch #30 has been merged into mainstream)

* Mon Aug 13 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.1a-alt8
- Fixed:
+ Winbindd to properly set up default workgroup name
+ Winbindd to validate against current domain, not default one
- Added:
+ Winbind init script

* Mon Aug 13 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.1a-alt7
- Fixed:
+ Symlinks /sbin/mount.smb and /sbin/mount.smbfs now point to /usr/bin/smbmount
+ SWAT documentation for winbindd has been fixed (samedit is outdated)

* Mon Aug 13 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.1a-alt6
- Various fixes in /etc/samba/smb.conf
- Patch 21 is removed
- NSS patch for seamless domain integration enhanced. Users from default
  domain now are accepted without explicit DOMAIN exposure in the username.

* Wed Aug 08 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.1a-alt5
- Symlink for libnss_winbind.so.2 added
- pam_smbpass.so and smbwrapper.so moved to /lib/security
- Help about pam_smbpass is added in README.pam_smbpass and into
  examples/pam_smbpass

* Wed Aug 08 2001 Alexander Bokovoy <ab@altlinux.ru> 2.2.1a-alt4
- First build with Winbind support integrated
- See winbindd(8), smb.conf(5) for proper configuration
- Buildreq fixed for cups-devel (libcups-devel)
- smb start up script is fixed

* Tue Jul 31 2001 Stanislav Ievlev <inger@altlinux.ru> 2.2.1a-alt3
- Light spec cleanup.
- Returned right version of /etc/rc.d/init.d/smb

* Thu Jul 19 2001 AEN <aen@logic.ru> 2.2.1a-alt2
- fix permissions on /var/spool/samba
* Thu Jul 12 2001 AEN <aen@logic.ru> 2.2.1a-alt1
- 2.2.1a
- %post fixed

* Wed Jul 11 2001 AEN <aen@logic.ru> 2.2.1-alt7
- PreReq: libcups in samba-common
* Wed Jul 11 2001 AEN <aen@logic.ru> 2.2.1-alt6
- build oficial release
- sync with MDK

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.2.1-alt5
- smb.init fixed -- thnx to  Sviatoslav Sviridov

* Sun Jun 24 2001 AEN <aen@logic.ru> 2.2.1-alt4
- new code with security fix
- %preun_service macros name fixed

* Thu Jun 14 2001 AEN <aen@logic.ru> 2.2.1-alt3
- cups problem  solved (patch from mdk)

* Wed May 30 2001 AEN <aen@logic.ru> 2.2.1-alt2
- new code from CVS
- configuration files moved to /etc/samba
- sync with MDK

* Mon May 21 2001 AEN <aen@logic.ru> 2.2.1-alt1
- new version
- alt patch adopted

* Wed Apr 25 2001 AEN <aen@logic.ru> 2.2.0-alt2
- inetd problem fixed
- sync with MDK

* Thu Apr 19 2001 AEN <aen@logic.ru> 2.0.8-alt2
- tmpdir patch

* Wed Apr 18 2001 AEN <aen@logic.ru>
- 2.0.8
- rh patches

* Wed Apr 18 2001 AEN <aen@logic.ru> 2.2.0-alt1
- new spec from samba tarball
- build for Sisyphus
- 1251 patch

* Wed Dec 06 2000 AEN <aen@logic.ru>
- 1251 patch
- build for RE

* Thu Nov 23 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-20mdk
- removed dependencies on cups and cups-devel so one can install samba without using cups
- added /home/netlogon

* Mon Nov 20 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-19mdk
- Changed default print command in /etc/smb.conf, so that the Windows
  driver of the printer has to be used on the client.
- Fixed bug in smbspool which prevented from printing from a
  Linux-Samba-CUPS client to a Windows server through the guest account.

* Mon Oct 16 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-18mdk
- Moved "smbspool" (Samba client of CUPS) to the samba-client package

* Sat Oct 7 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.0.7-17mdk
- Added RedHat's "quota" patch to samba-glibc21.patch.bz2, this fixes
  quota related compile problems on the alpha.

* Wed Oct 4 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-16mdk
- Fixed 'guest ok = ok' flag in smb.conf

* Tue Oct 3 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-15mdk
- Allowed guest account to print in smb.conf
- added swat icon in menu

* Tue Oct 3 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-14mdk
- Removed rh ssl patch and --with-ssl flag: not appropriate for 7.2

* Tue Oct 3 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-13mdk
- Changed fixinit patch.
- Changed smb.conf for better CUPS configuration.
- Thanks Fred for doing this ---vvv.

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.7-12mdk
- menu entry for web configuration tool.
- merge with rh: xinetd + ssl + pam_stack.
- Added smbadduser rh-bugfix w/o relocation of config-files.

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.7-11mdk
- added build requires on cups-devel and pam-devel.

* Mon Oct  2 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-10mdk
- Fixed smb.conf entry for CUPS: "printcap name = lpstat", "lpstats" was
  wrong.

* Mon Sep 25 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-9mdk
- Cosmetic changes to make rpmlint more happy

* Wed Sep 11 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-8mdk
- added linkage to the using_samba book in swat

* Fri Sep 01 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-7mdk
- Added CUPS support to smb.conf
- Added internationalization options to smb.conf [Global]

* Wed Aug 30 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-6mdk
- Put "smbspool" to the files to install

* Wed Aug 30 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-5mdk
- Did some cleaning in the patches

* Fri Jul 28 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-4mdk
- relocated man pages from /usr/man to /usr/share/man for compatibility reasons

* Fri Jul 28 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-3mdk
- added make_unicodemap and build of unicode_map.$i in the spec file

* Fri Jul 28 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-2mdk
- renamed /etc/codepage/codepage.$i into /etc/codepage/unicode_map.$i to fix smbmount bug.

* Fri Jul 07 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-1mdk
- 2.0.7

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0.6-4mdk

- Titi sucks, does not put versions in changelog
- Fixed groups for -common and -client
- /usr/sbin/samba is no config file

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix buggy post install script (pixel)

* Fri Mar 17 2000 Francis Galiegue <francis@mandrakesoft.com> 2.0.6-2mdk

- Changed group according to 7.1 specs
- Some spec file changes
- Let spec-helper do its job

* Thu Nov 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.6.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh changes.
- Split in 3 packages.

* Fri Aug 13 1999 Pablo Saratxaga <pablo@@mandrakesoft.com>
- corrected a bug with %post (the $1 parameter is "1" in case of
  a first install, not "0". That parameter is the number of packages
  of the same name that will exist after running all the steps if nothing
  is removed; so it is "1" after first isntall, "2" for a second install
  or an upgrade, and "0" for a removal)

* Wed Jul 28 1999 Pablo Saratxaga <pablo@@mandrakesoft.com>
- made smbmnt and smbumount suid root, and only executable by group 'smb'
  add to 'smb' group any user that should be allowed to mount/unmount
  SMB shared directories

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.5a (bug security fix).

* Wed Jul 21 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 2.0.5
- cs/da/de/fi/fr/it/tr descriptions/summaries

* Sun Jun 13 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.0.4b
- recompile on a system that works ;)

* Wed Apr 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Bzip2 man-pages.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently do not work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map


